Bug 39511 - link in sysvol dir causes sysvol-sync.sh to fail
link in sysvol dir causes sysvol-sync.sh to fail
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-3-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on:
Blocks: 39661
  Show dependency treegraph
 
Reported: 2015-10-12 10:03 CEST by Felix Botner
Modified: 2015-10-29 09:49 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2015-10-12 10:03:14 CEST
The new ACL check (all files and directories must have acl's set) causes the sysvol-sync.sh to fail if there is a link in the sysvol dir.

Ticket: 2015100521000691
Comment 1 Felix Botner univentionstaff 2015-10-12 11:03:27 CEST
Added -type f -o -type d (only dirs and files) to the find command in the ACL' check.

errata4.0-3 univention-samba4: r64397
4.1-0 univention-samba4: r64401

YAML: 2015-10-12-univention-samba4.yaml
Comment 2 Tim Petersen univentionstaff 2015-10-20 07:56:42 CEST
Also requested here: 2015101921000469
Comment 3 Arvid Requate univentionstaff 2015-10-27 20:23:41 CET
Verified:
* The test was successfull
* Advisory is ok
* Merged to UCS 4.1-0 and built as 5.0.0-12.618.201510121058
Comment 4 Janek Walkenhorst univentionstaff 2015-10-28 13:22:27 CET
<http://errata.software-univention.de/ucs/4.0/348.html>